Backend API
cURL
curl --request POST \ --url https://api.wacht.dev/webhooks/event-catalogs \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "slug": "user-events", "name": "User Events", "events": [ { "name": "user.created", "description": "User account created", "schema": {} } ], "description": "<string>" } '
{ "deployment_id": "9876543210987654321", "slug": "user-events", "name": "User Events", "description": "<string>", "events": [ { "name": "user.created", "description": "<string>", "schema": {}, "is_archived": false } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Create a new event catalog
API key authentication (format: Bearer {api_key})
Unique slug identifier
"user-events"
Display name
"User Events"
Event definitions
Show child attributes
Optional description
Event catalog created
Deployment ID
"9876543210987654321"
Catalog slug
Description
Was this page helpful?